de.esprit.common.gui.event

## Class IndexChangeIntendedEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.gui.event.IndexChangeEvent
    - - de.esprit.common.gui.event.IndexChangeIntendedEvent

- All Implemented Interfaces:
    Dumpable

      public class IndexChangeIntendedEvent
      extends IndexChangeEvent

  This event announces an index change intent. The index change may be vetoed by the receiver of this event.
  Author:
    Rainer Buesch
  See Also:
    `IndexChangeEvent`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.IndexChangeEvent

      `IndexChangeEvent.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeIntendedEvent(javax.swing.ListSelectionModel model, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isVetoed()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `void` | `veto()`

    - ### Methods inherited from class de.esprit.common.gui.event.IndexChangeEvent

      `getIndex, getModel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeIntendedEvent

          public IndexChangeIntendedEvent(javax.swing.ListSelectionModel model,
                                  int index)

  - ### Method Detail

    - #### isVetoed

          public boolean isVetoed()

    - #### veto

          public void veto()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `IndexChangeEvent`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.